| Flutter iOS Embedder |

Protected Member Functions | Protected Attributes | List of all members
flutter::FlutterPlatformViewLayer Struct Reference

`#import <FlutterPlatformViews_Internal.h>`

## Protected Member Functions
() | - FlutterPlatformViewLayer
() | - ~FlutterPlatformViewLayer

## Protected Attributes
fml::scoped_nsobject< UIView > | overlay_view
fml::scoped_nsobject< UIView > | overlay_view_wrapper
std::unique_ptr< IOSSurface > | ios_surface
std::unique_ptr< Surface > | surface
bool | did_submit_last_frame
GrDirectContext * | gr_context

## Detailed Description

Definition at line 144 of file FlutterPlatformViews_Internal.h.

## Constructor & Destructor Documentation

## ◆ FlutterPlatformViewLayer

- FlutterPlatformViewLayer: |  | (const fml::scoped_nsobject< UIView > &) | overlay_view
|  | (const fml::scoped_nsobject< UIView > &) | overlay_view_wrapper
|  | (std::unique_ptr< IOSSurface >) | ios_surface
|  | (std::unique_ptr< Surface >) | surface

Definition at line 18 of file FlutterPlatformViews_Internal.mm.

23 : overlay_view(overlay_view),
24 overlay_view_wrapper(overlay_view_wrapper),
25 ios_surface(std::move(ios_surface)),
26 surface(std::move(surface)){};

## ◆ ~FlutterPlatformViewLayer

- FlutterPlatformViewLayer: |  |  |

## Member Data Documentation

## ◆ did_submit_last_frame

- (bool) FlutterPlatformViewLayer:
| protected

Definition at line 158 of file FlutterPlatformViews_Internal.h.

## ◆ gr_context

- (GrDirectContext*) FlutterPlatformViewLayer:
| protected

Definition at line 163 of file FlutterPlatformViews_Internal.h.

## ◆ ios_surface

- (unique_ptr<IOSSurface>) flutter:
| protected

Definition at line 154 of file FlutterPlatformViews_Internal.h.

## ◆ overlay_view

- (scoped_nsobject<UIView>) flutter:
| protected

Definition at line 152 of file FlutterPlatformViews_Internal.h.

## ◆ overlay_view_wrapper

- (scoped_nsobject<UIView>) flutter:
| protected

Definition at line 153 of file FlutterPlatformViews_Internal.h.

## ◆ surface

- (unique_ptr<Surface>) flutter:
| protected

Definition at line 155 of file FlutterPlatformViews_Internal.h.

The documentation for this struct was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.h
- shell/platform/darwin/ios/framework/Source/FlutterPlatformViews_Internal.mm

flutter::FlutterPlatformViewLayer::ios_surface
std::unique_ptr< IOSSurface > ios_surface
Definition: FlutterPlatformViews_Internal.h:154
flutter::FlutterPlatformViewLayer::overlay_view_wrapper
fml::scoped_nsobject< UIView > overlay_view_wrapper
Definition: FlutterPlatformViews_Internal.h:153
flutter::FlutterPlatformViewLayer::overlay_view
fml::scoped_nsobject< UIView > overlay_view
Definition: FlutterPlatformViews_Internal.h:152
flutter::FlutterPlatformViewLayer::surface
std::unique_ptr< Surface > surface
Definition: FlutterPlatformViews_Internal.h:155